Bug 538080 - Outdated /etc/login.defs file shipped with shadow-utils (SHA512 hashing not enabled)
Outdated /etc/login.defs file shipped with shadow-utils (SHA512 hashing not e...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-17 10:23 EST by g.trentalancia
Modified: 2010-06-28 11:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 11:28:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description g.trentalancia 2009-11-17 10:23:23 EST
Description of problem:
Apparently package shadow-utils in FC10 and FC11, is still shipping an outdated default version of /etc/login.defs which does not enable SHA512 hashing. The new SHA512 password hashing feature is described in http://people.redhat.com/drepper/sha-crypt.html and the new configuration enabling SHA512 was probably introduced with authconfig-5.3.19-1 (see resolution of https://bugzilla.redhat.com/show_bug.cgi?id=218652).

However, at the moment the correct configuration of password hashing using SHA512 relies only on the configuration done by authconfig, as package shadow-utils is still shipping a version of the login.defs file which does enable MD5 and not SHA512.

It would be safer if shadow-utils could install an updated login.defs which includes the ENCRYPT_METHOD_SHA512 definition. This would also make the package fully compliant with http://csrc.nist.gov/groups/ST/hash/policy.html.

Version-Release number of selected component (if applicable):
For example, 4.1.2-9.fc10, 4.1.2-13.fc11 and 4.1.4.1-5.fc11.

How reproducible:


Steps to Reproduce:
1. install package shadow-utils on FC10 or FC11
2.
3.
  
Actual results:
Unless /etc/login.defs is already installed in the system (%config(noreplace)), a wrong login.defs file is installed (enabling MD5 hashing rather than the safer SHA512 hashing).
Luckily somewhere during the initial installation authconfig is taking care of configuring SHA512 hashing, but is this always the case (what happens for example if the user would re-install the package with something like 'rpm --force') ??

Expected results:
An updated login.defs file should be shipped with shadow-utils to be on the safe side. The last line of the updated login.defs file is "ENCRYPT_METHOD SHA512": this should override any possible value (yes/no) for MD5_CRYPT_ENAB.

Additional info:
Comment 1 g.trentalancia 2009-11-17 11:00:52 EST
I have checked if reinstalling the package could overwrite the configuration files and the result is that there is no chance that even "rpm --force" could take precedence over the "%config(noreplace)" directive in the .spec file. There is still the risk of an administrator doing "rpm -e --nodeps" && "rpm -i" (or unpackaging the rpm with rpm2cpio)...

And however, it remains the fact that the package is still carrying an outdated, non-compliant configuration file.
Comment 2 Bug Zapper 2010-04-28 07:21:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 11:28:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.